//
//  ViewController.swift
//  iOSAppleRestSample
//
//  Created by Jon Hoffman on 7/20/17.
//  Copyright © 2017 Jon Hoffman. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        // Wszelka konfiguracja dodatkowa po wczytaniu widoku, najczęściej z pliku nib.
        let printResultsClosure: HttpConnect.dataFromURLCompletionClosure = {
            
            if let data = $1, let sString = String(data: data, encoding: String.Encoding(rawValue: String.Encoding.utf8.rawValue)) {
                    print(sString)

            } else {
                print("Dana to wartość nil.")
            }
        }
        let aConnect = HttpConnect()
    //    aConnect.sendGetRequest(printResultsClosure)
        
                    aConnect.sendPostRequest(printResultsClosure);
        
        let reachable = aConnect.networkConnectionType("packtpub.com")
        switch (reachable) {
        case HttpConnect.ConnectionType.mobile3GNETWORK:
            print("Połączenie sieci komórkowej")
        case HttpConnect.ConnectionType.wifinetwork:
            print("Połączenie WIFI")
        default:
            print("Brak połączenia")
            
        }
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Usunięcie wszelkich buforowanych obiektów, które można później ponownie utworzyć.
    }

    

}

